﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Function_Editor
{
    public partial class ColorPicker : UserControl
    {
        public Color SelectedColor { get { return BackColor; } set { BackColor = value; } }

        public event EventHandler SelectedColorChanged;

        public ColorPicker()
        {
            InitializeComponent();
        }

        private void ColorPicker_Click(object sender, EventArgs e)
        {
            if (colorDialog.ShowDialog() == DialogResult.OK)
            {
                SelectedColor = colorDialog.Color;
                if (SelectedColorChanged != null) SelectedColorChanged(this, null);
            }   
        }
    }
}
