﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Drawing.Drawing2D;

namespace Function_Editor
{
    public partial class GradientViewer : UserControl
    {
        public Bitmap GradientBitmap { get; set; }

        public GradientViewer()
        {
            InitializeComponent();
        }

        protected override void OnPaint(PaintEventArgs e)
        {
            if (GradientBitmap == null) return;
            e.Graphics.Clear(BackColor);
            e.Graphics.InterpolationMode = InterpolationMode.High;//.NearestNeighbor;
            e.Graphics.DrawImage(GradientBitmap, 0, 0, GradientBitmap.Width, Height * 2);
            base.OnPaint(e);
        }
    }
}
